<?php
/** 
 * Investon Customizer data
 */
function investon_customizer( $data ) {
	return array(
		'panel' => array ( 
			'id' => 'investon',
			'name' => esc_html__('Investon Customizer','investon'),
			'priority' => 10,
			'section' => array(
				'header_setting' => array(
					'name' => esc_html__( 'Header Topbar Setting', 'investon' ),
					'priority' => 10,
					'fields' => array(
						array(
							'name' => esc_html__( 'Topbar Swicher', 'investon' ),
							'id' => 'investon_topbar_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),						
						array(
							'name' => esc_html__( 'Show Button', 'investon' ),
							'id' => 'investon_show_header_btn',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Button Text', 'investon' ),
							'id' => 'investon_header_btn_text',
							'default' => esc_html__('Sign in','investon'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Button Link', 'investon' ),
							'id' => 'investon_header_btn_link',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),						
						array(
							'name' => esc_html__( 'Button Icon', 'investon' ),
							'id' => 'investon_header_btn_icon',
							'default' => esc_html__('fa fa-user-o', 'investon'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						/** investment button **/	
						array(
							'name' => esc_html__( 'Show Investment Offer Link', 'investon' ),
							'id' => 'investon_show_investment_offer_link',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Link Text', 'investon' ),
							'id' => 'investon_header_link_text',
							'default' => esc_html__('Investon Offer','investon'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Link Url', 'investon' ),
							'id' => 'investon_header_link_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						/** contact-info **/
						array(
							'name' => esc_html__( 'Show Contact Info', 'investon' ),
							'id' => 'investon_show_contact_info',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Email Address', 'investon' ),
							'id' => 'investon_header_email',
							'default' => esc_html__('info@gmail.com','investon'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Phone Number', 'investon' ),
							'id' => 'investon_header_phone',
							'default' => esc_html__('+97657945737', 'investon'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						)

					) 
				),
				'investon_topbar_social_profiles_setting' => array(
					'name' => esc_html__( 'Header Social Profiles', 'investon' ),
					'priority' => 15,
					'fields' => array(
						array(
							'name' => esc_html__( 'Show Social Profiles', 'investon' ),
							'id' => 'investon_show_social_profiles',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Facebook Url', 'investon' ),
							'id' => 'investon_topbar_fb_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Twitter Url', 'investon' ),
							'id' => 'investon_topbar_twitter_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Linkedin Url', 'investon' ),
							'id' => 'investon_topbar_linkedin_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Instagram Url', 'investon' ),
							'id' => 'investon_topbar_instagram_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
					) 
				),
				'header_main_setting' => array(
					'name' => esc_html__( 'Header Setting', 'investon' ),
					'priority' => 20,
					'fields' => array(
						array(
							'name' => esc_html__( 'Choose Header Style', 'investon' ),
							'id' => 'choose_default_header',
							'type'     => 'select',
							'choices'  => array(
								'header-style-1' => esc_html__( 'Header Style 1', 'investon' ),
								'header-style-2' => esc_html__( 'Header Style 2', 'investon' ),
							),
							'default' => 'header-style-2',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__( 'Header Logo', 'investon' ),
							'id' => 'logo',
							'default' => get_template_directory_uri() . '/assets/img/logo/logo.png',
							'type' => 'image',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Header White Logo', 'investon' ),
							'id' => 'seconday_logo',
							'default' => get_template_directory_uri() . '/assets/img/logo/logo-white.png',
							'type' => 'image',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Header Retina Logo', 'investon' ),
							'id' => 'retina_logo',
							'default' => get_template_directory_uri() . '/assets/img/logo/logo@2x.png',
							'type' => 'image',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Header Retina White Logo', 'investon' ),
							'id' => 'retina_secondary_logo',
							'default' => get_template_directory_uri() . '/assets/img/logo/logo-white@2x.png',
							'type' => 'image',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Show Header Search', 'investon' ),
							'id' => 'investon_header_search_show',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh' 
						),	
					) 
				),	
				'page_title_setting'=> array(
					'name'=> esc_html__('Breadcrumb Setting','investon'),
					'priority'=> 30,
					'fields'=> array(
						array(
							'name' => esc_html__( 'Choose Breadcrumb Style', 'investon' ),
							'id' => 'choose_default_breadcrumb',
							'type'     => 'select',
							'choices'  => array(
								'breadcrumb-style-1' => esc_html__( 'Breadcrumb Style 1', 'investon' ),
								'breadcrumb-style-2' => esc_html__( 'default', 'investon' ),
							),
							'default' => 'breadcrumb-style-1',
							'transport'	=> 'refresh'
						),
						array(
							'name'=>esc_html__('Breadcrumb BG Color','investon'),
							'id'=>'breadcrumb_bg_color',
							'default'=> esc_html__('#343a40','investon'),
							'transport'	=> 'refresh'  
						),
						array(
							'name' => esc_html__( 'Breadcrumb Background Image', 'investon' ),
							'id' => 'breadcrumb_bg_img',
							'default' => '',
							'type' => 'image',
							'transport'	=> 'refresh' 
						),	
						array(
							'name' => esc_html__( 'Breadcrumb Archive', 'investon' ),
							'id' => 'breadcrumb_archive',
							'default' => esc_html__('Archive for category','investon'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),	
						array(
							'name' => esc_html__( 'Breadcrumb Search', 'investon' ),
							'id' => 'breadcrumb_search',
							'default' => esc_html__('Search results for','investon'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),	
						array(
							'name' => esc_html__( 'Breadcrumb tagged', 'investon' ),
							'id' => 'breadcrumb_post_tags',
							'default' => esc_html__('Posts tagged','investon'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),		
						array(
							'name' => esc_html__( 'Breadcrumb posted by', 'investon' ),
							'id' => 'breadcrumb_artitle_post_by',
							'default' => esc_html__('Articles posted by','investon'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),		
						array(
							'name' => esc_html__( 'Breadcrumb Page Not Found', 'investon' ),
							'id' => 'breadcrumb_404',
							'default' => esc_html__('Page Not Found','investon'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),		
						array(
							'name' => esc_html__( 'Breadcrumb Page', 'investon' ),
							'id' => 'breadcrumb_page',
							'default' => esc_html__('Page','investon'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),			
						array(
							'name' => esc_html__( 'Breadcrumb Shop', 'investon' ),
							'id' => 'breadcrumb_shop',
							'default' => esc_html__('Shop','investon'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),			
						array(
							'name' => esc_html__( 'Breadcrumb Home', 'investon' ),
							'id' => 'breadcrumb_home',
							'default' => esc_html__('Home','investon'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),					
					)
				),
				'blog_setting'=> array(
					'name'=> esc_html__('Blog Setting','investon'),
					'priority'=> 40,
					'fields'=> array(
						array(
							'name' => esc_html__( 'Show Blog BTN', 'investon' ),
							'id' => 'investon_blog_btn_switch',
							'default' => 1,
							'type' => 'switch',
							'transport'	=> 'refresh' 
						),	
						array(
							'name' => esc_html__( 'Show Blog Btn Icon', 'investon' ),
							'id' => 'investon_blog_btn_icon_switch',
							'default' => 1,
							'type' => 'switch',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Blog Button text', 'investon' ),
							'id' => 'investon_blog_btn',
							'default' => esc_html__('Read More','investon'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),							
						array(
							'name' => esc_html__( 'Blog Button Icon', 'investon' ),
							'id' => 'investon_blog_btn_icon',
							'default' => esc_html__('fas fa-angle-double-right','investon'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),						
						array(
							'name' => esc_html__( 'Blog Title', 'investon' ),
							'id' => 'breadcrumb_blog_title',
							'default' => esc_html__('Blog','investon'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),						
						array(
							'name' => esc_html__( 'Blog Details Title', 'investon' ),
							'id' => 'breadcrumb_blog_title_details',
							'default' => esc_html__('Blog Details','investon'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),

					)
				),
				'investon_footer_setting'=> array(
					'name'=> esc_html__('Footer Setting','investon'),
					'priority'=> 60,
					'fields'=> array(
						array(
							'name' => esc_html__( 'Choose Footer Style', 'investon' ),
							'id' => 'choose_default_footer',
							'type'     => 'select',
							'choices'  => array(
								'footer-style-1' => esc_html__( 'Footer Style 1', 'investon' ),
								'footer-style-2' => esc_html__( 'Footer Style 2', 'investon' ),
								'footer-style-3' => esc_html__( 'Footer Style 3', 'investon' ),
							),
							'default' => 'footer-style-1',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__( 'Footer Background Image', 'investon' ),
							'id' => 'investon_footer_bg',
							'default' => '',
							'type' => 'image',
							'transport'	=> 'refresh' 
						),
						array(
							'name'=>esc_html__('Footer BG Color','investon'),
							'id'=>'investon_footer_bg_color',
							'default'=> esc_html__('#f4f9fc','investon'),
							'transport'	=> 'refresh'  
						),
						array(
							'name'=>esc_html__('Copy Right','investon'),
							'id'=>'investon_copyright',
							'default'=> esc_html__('Copyright &copy; Investon 2023. All rights reserved','investon'),
							'type'=>'text',
							'transport'	=> 'refresh'  
						),	
						array(
							'name'=>esc_html__('Enable Scrollup','investon'),
							'id'=>'investon_scrollup_switch',
							'default'=> false,
							'type'=>'switch',
							'transport'	=> 'refresh'  
						),						
						array(
							'name'=>esc_html__('Enable Footer Widgets','investon'),
							'id'=>'investon_enable_footer_widgets',
							'default'=> true,
							'type'=>'switch',
							'transport'	=> 'refresh'  
						),	
						array(
							'name'=>esc_html__('Enable Preloader','investon'),
							'id'=>'investon_preloader_switch',
							'default'=> false,
							'type'=>'switch',
							'transport'	=> 'refresh'  
						)
					)
				),
				'error_page_setting'=> array(
					'name'=> esc_html__('404 Setting','investon'),
					'priority'=> 90,
					'fields'=> array(
						array(
							'name'=>esc_html__('400 Text','investon'),
							'id'=>'investon_error_404_text',
							'default'=> esc_html__('404','investon'),
							'type'=>'text',
							'transport'	=> 'refresh'  
						),
						array(
							'name'=>esc_html__('Not Found Title','investon'),
							'id'=>'investon_error_title',
							'default'=> esc_html__('Page not found','investon'),
							'type'=>'text',
							'transport'	=> 'refresh'  
						),
						array(
							'name'=>esc_html__('404 Description Text','investon'),
							'id'=>'investon_error_desc',
							'default'=> esc_html__('Oops! The page you are looking for does not exist. It might have been moved or deleted','investon'),
							'type'=>'textarea',
							'transport'	=> 'refresh'  
						),
						array(
							'name'=>esc_html__('404 Link Text','investon'),
							'id'=>'investon_error_link_text',
							'default'=> esc_html__('Back To Home','investon'),
							'type'=>'text',
							'transport'	=> 'refresh'  
						)
						
					)
				),
			),
		)
	);

}

add_filter('investon_customizer_data', 'investon_customizer');


